Package Details: bomi 0.9.11-7

Git Clone URL: https://aur.archlinux.org/bomi.git (read-only)
Package Base: bomi
Description: Powerful and easy-to-use GUI multimedia player based on mpv
Upstream URL: http://bomi-player.github.io
Licenses: GPL2
Conflicts: bomi-fresh, bomi-git
Provides: cmplayer
Submitter: xylosper
Maintainer: itsme
Last Packager: itsme
Votes: 105
Popularity: 0.000156
First Submitted: 2015-01-18 00:18
Last Updated: 2018-08-28 18:37

Dependencies (32)

Required by (0)

Sources (4)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

3ED_0 commented on 2016-03-13 20:20

Easy to apply version of dobo patch: http://ix.io/rQO

b1tl0rd commented on 2016-03-08 17:03

please update pkgbuild

dobo commented on 2016-03-08 16:30

This patch fixes compilation:

diff --git a/PKGBUILD b/PKGBUILD
index ff53500..1aa5b76 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -21,10 +21,16 @@ optdepends=('libva-intel-driver: hardware acceleration support for Intel GPU'
'youtube-dl: streaming website support including YouTube'
'libaacs: AACS decryption for Blu-ray support'
'libbdplus: BD+ decryption for Blu-ray support')
-source=($pkgname-$pkgver.tar.gz::https://github.com/xylosper/bomi/archive/v$pkgver.tar.gz)
-md5sums=('543c592f588c68d6f0c3cf254c288f58')
+source=($pkgname-$pkgver.tar.gz::https://github.com/xylosper/bomi/archive/v$pkgver.tar.gz
+ audioconvert.patch)
+md5sums=('543c592f588c68d6f0c3cf254c288f58' '91bb11470d49897e4807a783286e1904')
#options=(debug !strip)

+prepare() {
+ cd "$srcdir/$pkgname-$pkgver"
+ patch -p2 < ../audioconvert.patch
+}
+
build() {
cd "$srcdir/$pkgname-$pkgver"
./configure --prefix=/usr
diff --git a/audioconvert.patch b/audioconvert.patch
new file mode 100644
index 0000000..c301de5
--- /dev/null
+++ b/audioconvert.patch
@@ -0,0 +1,36 @@
+diff --git a/bomi-0.9.11/src/mpv/audio/filter/af_lavcac3enc.c b/bomi-0.9.11/src/mpv/audio/filter/af_lavcac3enc.c
+index a1651a0..36dec29 100644
+--- a/bomi-0.9.11/src/mpv/audio/filter/af_lavcac3enc.c
++++ b/bomi-0.9.11/src/mpv/audio/filter/af_lavcac3enc.c
+@@ -26,7 +26,6 @@
+ #include <assert.h>
+
+ #include <libavcodec/avcodec.h>
+-#include <libavutil/audioconvert.h>
+ #include <libavutil/intreadwrite.h>
+ #include <libavutil/common.h>
+ #include <libavutil/bswap.h>
+diff --git a/bomi-0.9.11/src/mpv/audio/filter/af_lavrresample.c b/bomi-0.9.11/src/mpv/audio/filter/af_lavrresample.c
+index f18b7e1..227e049 100644
+--- a/bomi-0.9.11/src/mpv/audio/filter/af_lavrresample.c
++++ b/bomi-0.9.11/src/mpv/audio/filter/af_lavrresample.c
+@@ -28,7 +28,6 @@
+ #include <assert.h>
+
+ #include <libavutil/opt.h>
+-#include <libavutil/audioconvert.h>
+ #include <libavutil/common.h>
+ #include <libavutil/samplefmt.h>
+ #include <libavutil/mathematics.h>
+diff --git a/bomi-0.9.11/src/mpv/audio/out/ao_lavc.c b/bomi-0.9.11/src/mpv/audio/out/ao_lavc.c
+index b322982..16ff8c1 100644
+--- a/bomi-0.9.11/src/mpv/audio/out/ao_lavc.c
++++ b/bomi-0.9.11/src/mpv/audio/out/ao_lavc.c
+@@ -25,7 +25,6 @@
+ #include <limits.h>
+
+ #include <libavutil/common.h>
+-#include <libavutil/audioconvert.h>
+
+ #include "config.h"
+ #include "options/options.h"

mokkurkalve commented on 2016-02-28 10:04

Build (on X86_64) now fails with:

(...snip...)
logoption.o release/release/moc_logviewer.o release/release/moc_os.o release/release/moc_formatobject.o release/release/moc_checklistwidget.o release/release/moc_videocolordialog.o release/release/moc_algorithmobject.o release/release/moc_mrlstate_old.o release/release/moc_smbauth.o release/release/moc_fontcombobox.o release/release/moc_jrserver.o release/release/moc_windowsize.o release/release/moc_videopreview.o release/release/moc_triangleitem.o release/release/moc_visualizer.o release/release/moc_encoderdialog.o -L/tmp/byggeplass/bomi/src/bomi-0.9.11/src/bomi/../../build/lib -lbz2 -lz /tmp/byggeplass/bomi/src/bomi-0.9.11/build/lib/libmpv.a -lavformat -lavutil -lavcodec -lswscale -lswresample -lavfilter -lass -ldvdread -ldvdnav -lbluray -lchardet -lgobject-2.0 -lglib-2.0 -lxcb-icccm -lxcb-screensaver -lxcb-randr -lxcb-render -lxcb-xtest -lxcb -lX11 -lasound -ljack -lpulse -lcdio_paranoia -lcdio_cdda -lcdio -lm -lsmbclient -lsystemd -lvdpau -lva-glx -lva-x11 -lva -ldl -lQt5Quick -lQt5Svg -lQt5Widgets -lQt5X11Extras -lQt5Gui -lQt5Qml -lQt5Network -lQt5Sql -lQt5Xml -lQt5DBus -lQt5Core -lGL -lpthread
g++: error: /tmp/byggeplass/bomi/src/bomi-0.9.11/build/lib/libmpv.a: No such file or directory
Makefile.Release:1265: recipe for target '../../build/bomi' failed
make[2]: *** [../../build/bomi] Error 1
make[2]: Leaving directory '/tmp/byggeplass/bomi/src/bomi-0.9.11/src/bomi'
Makefile:38: recipe for target 'release' failed
make[1]: *** [release] Error 2
make[1]: Leaving directory '/tmp/byggeplass/bomi/src/bomi-0.9.11/src/bomi'
Makefile:40: recipe for target 'build/build/bomi/bomi' failed
make: *** [build/build/bomi/bomi] Error 2
==> ERROR: A failure occurred in build().
Aborting...

deathtrip commented on 2015-08-10 15:54

Build is failing for me, amongst other errors i get:
Makefile:40: recipe for target 'build/build/bomi/bomi' failed
g++: internal compiler error: Segmentation fault (program cc1plus)

pedrogabriel commented on 2015-08-05 02:08

@xylosper I put the package in aur4.

camsdev commented on 2015-03-27 21:28

It Works! thanks

xylosper commented on 2015-03-26 17:11

@camsdev @pedrogabriel

Updated to 0.9.4. Please try again.

pedrogabriel commented on 2015-03-26 16:54

Build failing...

lrelease src/bomi/translations/*.ts
Updating 'src/bomi/translations/bomi_cs.qm'...
Generated 833 translation(s) (833 finished and 0 unfinished)
Ignored 17 untranslated source text(s)
Updating 'src/bomi/translations/bomi_de.qm'...
Generated 541 translation(s) (441 finished and 100 unfinished)
Ignored 309 untranslated source text(s)
Updating 'src/bomi/translations/bomi_en.qm'...
Generated 0 translation(s) (0 finished and 0 unfinished)
Ignored 850 untranslated source text(s)
Updating 'src/bomi/translations/bomi_es.qm'...
Generated 828 translation(s) (828 finished and 0 unfinished)
Ignored 22 untranslated source text(s)
Updating 'src/bomi/translations/bomi_fi.qm'...
Generated 0 translation(s) (0 finished and 0 unfinished)
Ignored 649 untranslated source text(s)
Updating 'src/bomi/translations/bomi_it.qm'...
Generated 568 translation(s) (466 finished and 102 unfinished)
Ignored 282 untranslated source text(s)
Updating 'src/bomi/translations/bomi_ko.qm'...
Generated 850 translation(s) (850 finished and 0 unfinished)
Updating 'src/bomi/translations/bomi_ru.qm'...
Generated 443 translation(s) (349 finished and 94 unfinished)
Ignored 407 untranslated source text(s)
Updating 'src/bomi/translations/bomi_sr.qm'...
Generated 255 translation(s) (162 finished and 93 unfinished)
Ignored 595 untranslated source text(s)
install -m 644 src/bomi/translations/*.qm build/translations
cd src/bomi && qmake -spec linux-g++ BOMI_RELEASE=1 bomi.pro && make -j4 release
Project ERROR: Unknown module(s) in QT: svg
Makefile:40: recipe for target 'build/build/bomi/bomi' failed
make: *** [build/build/bomi/bomi] Error 3

camsdev commented on 2015-03-26 07:31

build failed in my latest arch machine
here is some output
Checking for libcdio_paranoia libcdio libcdio_cdda ... yes
Checking for smbclient ... yes
Checking for libsystemd ... yes
checking for cc ... gcc
checking for qmake ... qmake
checking for lrelease ... no
'autodetect' failed.

but I already have lrelease. this is result of lrelease -version
lrelease 버전 5.4.1
and this is qmake one
QMake version 3.0
Using Qt version 5.4.1 in /usr/lib
so I checkout detect_qt5() in configure file and fixed this problem by changing LANG=en_GB.UTF-8 to LC_MESSAGES=en_GB.UTF-8